package com.bocloud.cmp.model.agile.vas;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaVasPortModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/3/13 16:00
 */
public class AgileVasPortModel {
    private String uuid;//VASPort标识。
    private String name;//VASPort名称
    private Integer segmentationId;//Vlan段标识。
    private String deviceInterface;//物理接口名称。
    private String portType;//vasPort端口类型，external：外部接口；internal：内部接口。
    private String ipAddress;//接口的IP地址和掩码。
    private String macAddress;//接口物理地址。
    private Boolean isPublic;//是否是连接公网接口，缺省为否。
    private String shareUuid;//有值，说明该接口为共享接口，一般填写为对端LogicRouter对象的ID。
    private Boolean isSnatEnable;//在该出口上是否使能SNAT，缺省为true。
    private String instanceName;//示例名称。
    private String vasUuid; //vas uuid

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public void setIsPublic(Boolean isPublic) {
        this.isPublic = isPublic;
    }

    public void setIsSnatEnable(Boolean isSnatEnable) {
        this.isSnatEnable = isSnatEnable;
    }

    public String getIpAddress() {
        return this.ipAddress;
    }

    public Boolean getIsPublic() {
        return this.isPublic;
    }

    public Boolean getIsSnatEnable() {
        return this.isSnatEnable;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSegmentationId() {
        return segmentationId;
    }

    public void setSegmentationId(Integer segmentationId) {
        this.segmentationId = segmentationId;
    }

    public String getDeviceInterface() {
        return deviceInterface;
    }

    public void setDeviceInterface(String deviceInterface) {
        this.deviceInterface = deviceInterface;
    }

    public String getPortType() {
        return portType;
    }

    public void setPortType(String portType) {
        this.portType = portType;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getShareUuid() {
        return shareUuid;
    }

    public void setShareUuid(String shareUuid) {
        this.shareUuid = shareUuid;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getVasUuid() {
        return vasUuid;
    }

    public void setVasUuid(String vasUuid) {
        this.vasUuid = vasUuid;
    }
}
